package com.shanghaichengdi.ghjgitem.service;

import com.shanghaichengdi.ghjgitem.vo.BoatAISVo;
import com.shanghaichengdi.ghjgitem.vo.BoatReportInfoVo;
import com.shanghaichengdi.ghjgitem.vo.CCbCargoDeclareRecVo;
import com.shanghaichengdi.ghjgitem.vo.CCbOnShipCrewRecVo;
import com.shanghaichengdi.ghjgitem.vo.PageVo;
import com.shanghaichengdi.ghjgitem.vo.ShipDataVo;
import com.shanghaichengdi.ghjgitem.vo.VwCertInfoSelfAllVo;
import com.shanghaichengdi.ghjgitem.vo.request.BoatAisRealTimeReq;
import com.shanghaichengdi.ghjgitem.vo.request.ReportInfoRequest;
import com.shanghaichengdi.ghjgitem.vo.request.ReportSubInfoReq;
import com.shanghaichengdi.ghjgitem.vo.request.ShipDataRequest;
import com.shanghaichengdi.ghjgitem.vo.request.SupervisionOrDocNumberReq;
import java.text.ParseException;
import java.util.List;

/**
 * 一些迁移任务使用这个Service
 */
public interface CommonService {

  List<BoatAISVo> selectAisRealTimeXYList(BoatAisRealTimeReq param);

  String selectRecordOrDocNumber(SupervisionOrDocNumberReq param);

  List<CCbCargoDeclareRecVo> selectCargoDeclareInfo(ReportSubInfoReq param);

  List<CCbOnShipCrewRecVo> selectShipCrewInfo(ReportSubInfoReq param);

  List<VwCertInfoSelfAllVo> selectCertInfoList(PageVo param);

  List<ShipDataVo> selectBoatInfoList(ShipDataRequest param);

  List<BoatReportInfoVo> selectBoatReportInfoList(ReportInfoRequest param) throws ParseException;
}
