package com.shanghaichengdi.ghjgitem.mapper;

import com.shanghaichengdi.ghjgitem.vo.BoatAISVo;
import com.shanghaichengdi.ghjgitem.vo.BoatReportInfoVo;
import com.shanghaichengdi.ghjgitem.vo.CCbCargoDeclareRecVo;
import com.shanghaichengdi.ghjgitem.vo.CCbOnShipCrewRecVo;
import com.shanghaichengdi.ghjgitem.vo.ShipDataVo;
import com.shanghaichengdi.ghjgitem.vo.VwCertInfoSelfAllVo;
import com.shanghaichengdi.ghjgitem.vo.request.BoatAisRealTimeReq;
import com.shanghaichengdi.ghjgitem.vo.request.ReportInfoRequest;
import com.shanghaichengdi.ghjgitem.vo.request.ReportSubInfoReq;
import com.shanghaichengdi.ghjgitem.vo.request.ShipDataRequest;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CommonMapper {

  List<BoatAISVo> selectAisRealTimeXYList(BoatAisRealTimeReq param);

  String getLastInformNo(@Param("rules") String rules);

  String getLastRecordNo(@Param("rules") String rules);

  List<CCbCargoDeclareRecVo> selectCargoDeclareInfo(ReportSubInfoReq param);

  List<CCbOnShipCrewRecVo> selectShipCrewInfo(ReportSubInfoReq param);

  List<VwCertInfoSelfAllVo> selectInfoList();

  List<ShipDataVo> selectBoatInfoList(ShipDataRequest param);

  List<BoatReportInfoVo> selectBoatReportInfoList(@Param("reportId") String reportId,
      @Param("region") String area, @Param("district") String district,
      @Param("shipId") String shipId, @Param("startTime") String startTime,
      @Param("endTime") String endTime, @Param("partition") String partition,
      @Param("reportNo") String reportNo);
}
